AutoCAD .NET :: How To Jig Rotate A Block With Different Fixed Point

May 15, 2012

here is my jig rotate code

Protected Overrides Function Sampler(ByVal prompts As JigPrompts) As SamplerStatus Dim myPPR As PromptPointResult myPPR = prompts.AcquirePoint(myOpts) Dim curPos As Point3d curPos = myPPR.Value If curPos.IsEqualTo(BasePt) Then Return SamplerStatus.NoChange Else myMatrix = Geometry.Matrix3d.Displacement( _ BasePt.GetVectorTo(myPPR.Value)) Dim pt1 As New Point2d(BasePt.X, BasePt.Y) Dim pt2 As New Point2d(myPPR.Value.X, myPPR.Value.Y) BaseRo = pt1.GetVectorTo(pt2).Angle End If Return SamplerStatus.OK End If End Function Protected Overrides Function Update() As Boolean myBRef.Rotation = BaseRo Return False End Function

I always rotate the block with bottom left point as fixed point. What can I do to make the block rotate around another point? such as centre point of the block?

View 7 Replies


ADVERTISEMENT

AutoCad :: Starch Point Result In Fixed Size Rather Than Relative

Sep 10, 2012

I have annoying problem that happens ones in a while. when starching lines i use to select the blue point, type a number and have the line extend or trim respectively.

For example , line which is 40 and i want it to be 60 ill click the blue dot, move the mouse in the direction i want and type 20.

Right now if i do the same the length of the line become 20.

View 1 Replies View Related

AutoCad :: Create A Block So That The Base Point Is The Only Snap Point On The Block?

Aug 22, 2013

is it possible to create a block so that the base point is the only snap point on the block?

In other words supose I have a block of a simple rectangle with the base point in the center.

If I try to snap to the block, I will be able to snap to all the corners, but not the base point. I know that i can put a point at the base point, but can I turn off the snap to the corners (just for the block) in other words, have an object that is unsnapable to without turning the snap mode off.

View 7 Replies View Related

AutoCad :: Fixed Rotation On Block Attributes?

Jul 28, 2011

I have some blocks with lines and some attributes.

I want to be able to rotate the block freely but I want to always have the rotation of the attributes at 0 deg.

Is there any way to lock the value of the attributes rotation to 0?

View 3 Replies View Related

AutoCad :: Insert Block - Switch Between Base-point And 0,0,0 Point?

Apr 29, 2013

I'm inserting blocks into my drawing and the block has a basepoint and a 0,0,0 point. The CAD guy who usually works with me is off today but he has a keyboard method of switching between the 2 points when inserting the block.

Its a fairly straight forward thing on his keyboard, nothing he has set up but standard in autocad.

I've had a try hitting a few keyboard buttons this morning but can't seem to do it.

View 1 Replies View Related

AutoCAD Civil 3D :: Inserting A Block Deletes Points With Point Style With Same Block

Oct 16, 2013

We're using C3D 2013 SP2.  The survey company we use uses point styles to show the blocks.  Say they shoot a catchbasin.  Instead of inserting the block, the point shows up as the block.

I did a field check & needed to insert a missed CB.  When I inserted the block, the other points that were CBs disappeared.  I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in.  It did this on other drawings & other blocks.

View 7 Replies View Related

AutoCAD 2013 :: New Block A Stretch Point Appears Even If Its Not A Dynamic Block

Dec 3, 2012

my problem is whenever i make a new block a stretch point appears even if its not a dynamic block . also its not a stretch point, because when i click on it, it just move the block , and it always appear on the coordinates 0,0 it cause me a problem when I insert the block , autocad use this point as a base point , and its very far from the real block .

View 1 Replies View Related

AutoCAD Civil 3D :: Create Block With Attributes That Automatically Complete X / Y And Z For Insertion Point Of Block?

Feb 14, 2013

Is there a way to create a block with attributtes that automatically complete x, y, z, lat, long for the insertion point of the block?

I am trying to complete text in paperspace that will automatically fill in the lat long of a point in model space without using a table.  I have tried field insertion with reference to a cogo point, but it doesn't give options for position on a cogo point.  If I pick a block with attributes, it will let me pick any attributes, and x,y position for the block.

Cogo points show all the information I need to propagate in the properties....but how do I get that to translate into the text using fields or some other method?

Dell Precision T3600 - Windows 7 64-bit
NVIDIA Quadro 600
Intel(R) Xenon(R) CPU E5-1607 0 @ 3.00GHz 3.00GHz
8 GB ram - Two 1TB raid

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Point At List Block And Dynamic Block

Apr 18, 2013

I am learning autolips and i found  a problem that i can´t solved.
 
(vl-load-com)(defun c:pmb ( / ss ent pt )(prompt "
selec block : ")(setq ss (ssget '((0 . "INSERT")))) (setq ent (ssname ss 0)), (setq pt (cdr (assoc 10 (entget ent)))) (command "point" pt))
 wich this code you select one block and insert one point at insert point´s block.

which this other code yo select all block and insert all  point.... but in one block
 
(vl-load-com) (defun c:pmb11 ( / sele cod bloque nbloque lista pt ) (prompt "
block: ") (setq sele (ssget ( List'(0 . "INSERT"))) Cod 0 )cod (1+ cod) (repeat (sslength sele) (setq bloque (ssname sele cod)) (setq pt (cdr (assoc 10 ( entget bloque)))) (command "punto" pt) );repeat ) 

View 4 Replies View Related

AutoCad 2D :: Move Base Point Of Block In Block Editor?

Mar 20, 2009

I want to move the base point of a block in the block editor. However, when I move it, the block moves accordingly in the drawing.

How can i move the base point in the editor, so that the block stays at the same position in the drawing.

View 8 Replies View Related

AutoCAD 2010 :: Force Attribute Position To Remain Fixed In Drawing When Moving Block Position

Jul 12, 2013

Is it possible to setup a block so that an attribute position remaines fixed (absolute to drawing) when moving the block?

I've been playing around with creating a Coordinate Block by following these instructions: [URL] ........

What I would like is to be able to set the position of the Coordinate Label and Coordinate Object independently, so that if I move one in the drawing, it doesn't move the other.  I've looked into Dynamic Blocks, and the "Lock Position" parameter. I can move the attribute independently, but still everytime I move the block, the attribute moves too.

Our company uses a custom Sheet/Coordinate system to follow flyoffs across a drawing, and I'm trying to learn how to automate the process.  It's completely manually right now, so any changes to a drawing creates a lot of work renumbering these flyoffs.

View 4 Replies View Related

AutoCAD Civil 3D :: Rotate Survey Point Symbols

May 24, 2013

Is it possible to rotate a survey point symbol, my grips are missing? Civil 3d 2013.

Civil 3D 2013
HP Z400 Workstation
6GB of RAM
296GB HDD
ATI FirePro V5700(FireGL)
Win 7 Home Professional

View 3 Replies View Related

AutoCAD Civil 3D :: 2013 Point Marker Rotate Grip?

Jan 15, 2013

In previous versions of Civil 3D there was a grip on the point marker that allowed me to rotate the block used as a point marker, where did this grip go in 2013? How can I rotate an individual point marker without having to create a separate point style?

View 1 Replies View Related

AutoCAD Civil 3D :: How To Rotate Point Labels On An Elevation (facade) Drawing

Dec 7, 2012

Is it possible to rotate the point labels when working with point files from an elevation Survey in Ciivil 3D? When activating the labels visibility they are horizontal, but when I rotate the drawing  to a side view I am can´t see them.

So far I was working with Autocad (importing a dxf). Is there a way to rotate at the same time all the points labels, wich in this case are just text items?

View 4 Replies View Related

AutoCAD Dynamic Blocks :: Rotate Parallel Lines Around Hinge Point

Nov 22, 2011

I have a block that has a portion that needs to rotate up to 90 degrees.  The problem is that it has parallel lines that create a bowtie when rotating.  I've tried everything with constraints to get this block to work, but I just can't keep it from creating a bowtie when rotating. 

View 7 Replies View Related

AutoCad :: Text To Rotate With The Block

Mar 1, 2013

Switches_.dwg

I have a rotate feature set up and I have a tag for the block. When I rotate the block, the text rotates as I have set it up to do but it turns upside down or sideways as the block rotates. I would like the text to stay the same orientation but just move round with the block as the example below.

I want my block to do this.dwg

View 2 Replies View Related

AutoCAD Civil 3D :: Block Rotate During Plot

Jun 23, 2012

I have blocks inserted in papers pace, the blocks are setup to plan read. All look good, but when I plot they all rotate 90 degree to read portrait, not landscape. This dosn't happen on all drawings. is there a setting for this?

View 2 Replies View Related

AutoCad :: Rotate Block - Text Attributes

May 10, 2013

How I rotate a block but set the text to stay readable.

At the moment I have a 600x600 light fitting with a Tag inside for typing the letter of the fitting. E.G. Type A, B, C

I have a rotate function also so I can rotate the fitting to the orientation of the room.

But when I rotate the fitting the text rotates also, therefore if I turn the fitting round 90 degrees the text is on its side. How do I rotate the block but leave the text orientation the correct way?

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Point At Block Insert Point

Sep 26, 2012

trying to insert point instead of block.

(setq blok (entget (car (entsel))))

(setq point (cdr (assoc 10 blok)))

(setq XX (rtos (car point) 2 20)) ;; x koordinata bloka

(setq YY (rtos (cadr point) 2 20)) ;; y koordinata bloka

(setq ZZ (rtos (caddr point) 2 20)) ;; z koordinata bloka

(command "point" xx,yy,zz) is not working

!xx="5582453.414999999" but when i (atoi xx) i get 5582453 no dedimals...

how to create valid insertation point from xx, yy and zz?

View 6 Replies View Related

AutoCAD Dynamic Blocks :: Block Rotate At Insertion

Jul 30, 2011

I have a simple block, I would like to do the following:

Type: Insert

Specify: Block Name

Click spot with cursor to have the block placed

Rotate the block for orientation

I know that if I use the Tool Pallets I can specify rotate on insert, but do not always want to use the Pallete.  I also know I can assign a rotation parameter to the block so I can grip and rotate after insertion.  Is there an easier way?

View 4 Replies View Related

AutoCad 2D :: Rotate Parameter And Action To A Dynamic Block

Sep 17, 2013

I am attaching a rotate parameter and action to a dynamic block.

I get the "Specify base point" bit okay but I can't figure out what "Specify radius of parameter" does.

Do I have to include or exclude other parameters like Flip or Stretch? I get some weird results when I rotate an object with other parameters.

Is it possible to place the Grip in a specific place? It always seems to like to sit on top of another parameter name.

View 9 Replies View Related

AutoCad :: Auto Rotate Label At Block Insertion

Jul 17, 2013

Have a number of std blocks with a single part number located centrally within a circle similar to std grid line coordinates used on architectural plans.

Is there a simple way to set the block up with its part number fixed centrally so that when the block is inserted at different rotation angles the part number always appears central within the circle and upright.

Forget lisp as only have LT.how to centralise the text within an attribute so its always central when block is rotated.

View 6 Replies View Related

AutoCad :: Dynamic Block To Rotate Attached Attributes

Nov 18, 2013

I'm trying to get a dynamic block to rotate the attached attributes from a left justification in the vertical position to a center justification in the horizontal position. I managed to do this with 2 Visibility States, but anyway to do this with only the one set of attributes. I'm using AutoCAD 2012.

View 2 Replies View Related

Photoshop :: Fixed Width Function Did Not Work When Draw A Fixed Width Rectangle

Nov 2, 2012

The fixed width function did not work when I wanted to draw a fixed width rectangle. Is there a new way to do this in CS6?

View 4 Replies View Related

AutoCAD Dynamic Blocks :: Right Reading Test When Rotate Block?

Mar 22, 2012

Is it any option to keep text righ-reading even if block is rotated (by AutoCAD command ROTATE, not dynamic action)?

View 9 Replies View Related

AutoCad :: North Arrow Dynamic Block Rotate To 4 Positions?

Oct 14, 2011

I want my north arrow to come in at 90 (pointing up). Then I want 3 grips that you click to either rotate it to 0,180,or 270.

View 8 Replies View Related

AutoCad :: Rotate Attribute In Dynamic Block With Alignment Parameter?

Jan 23, 2014

Is it possible to make a dynamical block where the attribute is horizontal in combination of the alignment parameter (not rotate)? If I align to an arc the attribute need to stay at an horizontal position.

View 4 Replies View Related

AutoCad :: Dynamic Block - Rotate / Stretch Along A Linear Path

Nov 19, 2013

I am trying to have a dynamic block that will show the profile of a steel plate, detailing the angle of a bevel. Including the plate thickness, the land, gap and the actual angle of the bevel. I've gotten most of it figured out, but having a grip to SET the angle at a specific number, while maintaining the drawing's integrity is proving difficult. I have attached the block I have created so far (minus the previous attempts to rotate the beveled angle).

BVL_detail.dwg

The base point of the rotate parameter should be at the junction of the bevel & land. I need it to stay connected to the end point of the top-most flat line as it rotates, which means the lines need to stretch to match the changing angle. It will either rotate that line along with it, or if I apply a stretch tool, it gets all disconnected and just plain wrong.

One of the things I am liking about my current set up is I can grab a grip, and then type the number I need and it will pop on into place. Was hoping for the same effect if I typed in the angle, it would be exactly that, while also adjusting the drawing.

View 9 Replies View Related

AutoCad :: Create Dynamic Block Using Stretch And Rotate Parameter

Apr 26, 2013

I have a block of a circle and a line coming from the left and right side quadrant of the circle to a common point (see pic). I want to create a dynamic block using a Stretch and Rotate parameter. You select the block, the Rotate point (grip) shows at the end of the two lines. I can grab that grip and rotate both lines and circle by moving this point around the screen, but cannot Stretch this point to a new location at the same time. How can I have the Rotation end point follow the Stretch parameter?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Rotate Block XY Plane But Also Z Axis

Jul 3, 2012

I'm inserting blocks with lisp using the following code.

(defun C:test()(setq MYPOINT (getpoint "
Select an insertion point"));(command "_-xref" "attach" "C:/ICT/GEBERIT/XREFS/650-270-00-1.dwg" "_Scale" "1" MYPOINT)(command "insert" "C:/ICT/GEBERIT/XREFS/650-270-00-1.dwg" MYPOINT "" ""))
 
The lisp however only allows me to rotate in the x-y plane but I also want to rotate it in the z-axis hoe can I do this?

I also tryed to combine a 3d rotate to the code, as follows but to no success...

(defun C:test() (setq MYPOINT (getpoint "
Select an insertion point"));(command "_-xref" "attach" "C:/ICT/GEBERIT/XREFS/650-270-00-1.dwg" "_Scale" "1" MYPOINT)(command "insert" "C:/ICT/GEBERIT/XREFS/650-270-00-1.dwg" MYPOINT "" "");Rotates the item in the z axis...(setq MYANGLE (getstring "
Specify rotation angle for the Z-axis "))(command "_Rotate3D "_x" "LAST" "" "last" MYANGLE ))

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Rotate Block Current Annotative Scale ONLY

Dec 6, 2011

I have the below code (from a user here on the forum) which works great for aligning text, mtext and blocks to 2 points.  For annotative entities, it respects the rotation angle for mtext and text. 

ie I have an mtext object at 1"=20' scale and at 1"=40' scale.  I run the command when the current annotative scale is 1"=40'.  The object at 40' scale has changed, but the 20' scale is unchanged.  This is working as I would like it to.

But for annotative blocks, it gets weirded out.  In the above example, the block at 40' will rotate, but so will the attributes at 20' scale.  But linework and hatching at 20' scale will be unchanged.  it looks really weird. how to get it to play nice with blocks.  Ideally, I'd like the block to be at different rotation angles in different annotative scales.

(defun C:R2P (/ ss ang edata); = Rotate objects to align with 2 Points (setq ss (ssget '((0 . "*TEXT,INSERT"))) ang (angle (getpoint "
First alignment point: ") (getpoint "
Second alignment point: ")) ) (repeat (sslength ss) (setq edata (entget (ssname ss 0))) (entmod (subst (cons 50 ang) (assoc 50 edata) edata)) (ssdel (ssname ss 0) ss) ))

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved